%include %{_rpmconfigdir}/macros.python3

Name: python3-cryptography
Version: 2.8
Release: 0
License: MIT
Summary: Provides cryptographic recipes and primitives to Python developers.
Url: https://pypi.python.org/pypi/cryptography/

Source: https://files.pythonhosted.org/packages/be/60/da377e1bed002716fb2d5d1d1cab720f298cb33ecff7bf7adea72788e4e4/cryptography-2.8.tar.gz

BuildRequires: python3-devel >= 3.6.8
BuildRequires: python3-pip
BuildRequires: openssl-devel >= 1.1.1-5

BuildRequires: python3-cffi
BuildRequires: python3-asn1crypto
BuildRequires: python3-idna
BuildRequires: python3-six

Requires: python3-cffi
Requires: python3-asn1crypto
Requires: python3-idna
Requires: python3-six

# Because python3-cryptography must be built with a version of OpenSSL that
# has ENGINE support enabled, ensure that the installed version of OpenSSL has
# engine support enabled as well.
Requires: libopenssl1_1 >= 1.1.1-5

%description
cryptography is a package which provides cryptographic recipes and primitives to
Python developers. It includes both high level recipes and low level interfaces
to common cryptographic algorithms such as symmetric ciphers, message digests,
and key derivation functions.

%prep
%setup -q -n cryptography-%{version}

%build

python3 setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/cryptography*

%changelog
* Thu Feb 27 2020 Naveen Ram <naveen.ram@ibm.com> - 2.8
- Update version to 2.8 from 2.5

* Mon Jan 20 2020 Naveen Ram <naveen.ram@ibm.com> - 2.5
- Update version to 2.5 from 2.2.2

* Wed Nov 13 2019 Mark Irish <mirish@ibm.com> - 2.2.2
- BuildRequire openssl-devel >= 1.1.1-5 to build with ENGINE support
- Require a version of libopenssl1_1 with ENGINE support

* Mon Sep 30 2019 Mark Irish <mirish@ibm.com> - 2.2.2
- Update openssl-devel version to >= 1.1.1 and requiring a version of python3-devel built with openssl >= 1.1.1

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Add missing requires and word wrap description

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies are listed
- Remove -I and --no-deps from pip install so dependencies build from yum

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Tue Jul 17 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded transitive dependencies

* Thu May 10 2018 - Kevin Adler <kadler@us.ibm.com>
- Initial commit
